## NAS Network Scan request NAS Network Scan request |

## Functions

QmiMessageNasNetworkScanInput * | qmi_message_nas_network_scan_input_new ()
QmiMessageNasNetworkScanInput * | qmi_message_nas_network_scan_input_ref ()
void | qmi_message_nas_network_scan_input_unref ()
gboolean | qmi_message_nas_network_scan_input_get_network_type ()
gboolean | qmi_message_nas_network_scan_input_set_network_type ()
QmiMessageNasNetworkScanOutput * | qmi_message_nas_network_scan_output_ref ()
void | qmi_message_nas_network_scan_output_unref ()
gboolean | qmi_message_nas_network_scan_output_get_mnc_pcs_digit_include_status ()
gboolean | qmi_message_nas_network_scan_output_get_radio_access_technology ()
gboolean | qmi_message_nas_network_scan_output_get_network_information ()
gboolean | qmi_message_nas_network_scan_output_get_result ()
void | qmi_client_nas_network_scan ()
QmiMessageNasNetworkScanOutput * | qmi_client_nas_network_scan_finish ()

## Types and Values

| QmiMessageNasNetworkScanInput
| QmiMessageNasNetworkScanOutput
| QmiMessageNasNetworkScanOutputMncPcsDigitIncludeStatusElement
| QmiMessageNasNetworkScanOutputRadioAccessTechnologyElement
| QmiMessageNasNetworkScanOutputNetworkInformationElement

## Object Hierarchy

        GBoxed
        ├── QmiMessageNasNetworkScanInput
        ╰── QmiMessageNasNetworkScanOutput

## Description

## Functions

### qmi_message_nas_network_scan_input_new ()

    QmiMessageNasNetworkScanInput *
    qmi_message_nas_network_scan_input_new
                                   (void);

Allocates a new QmiMessageNasNetworkScanInput.

#### Returns

the newly created QmiMessageNasNetworkScanInput. The returned value should be freed with `qmi_message_nas_network_scan_input_unref()`.

Since: 1.0

### qmi_message_nas_network_scan_input_ref ()

    QmiMessageNasNetworkScanInput *
    qmi_message_nas_network_scan_input_ref
                                   (QmiMessageNasNetworkScanInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasNetworkScanInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_nas_network_scan_input_unref ()

    void
    qmi_message_nas_network_scan_input_unref
                                   (QmiMessageNasNetworkScanInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasNetworkScanInput. |

Since: 1.0

### qmi_message_nas_network_scan_input_get_network_type ()

    gboolean
    qmi_message_nas_network_scan_input_get_network_type
                                   (QmiMessageNasNetworkScanInput *self,
                                    QmiNasNetworkScanType *value_network_type,
                                    GError **error);

Get the 'Network Type' field from `self` .

#### Parameters

self | a QmiMessageNasNetworkScanInput. |
value_network_type | a placeholder for the output QmiNasNetworkScanType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_network_scan_input_set_network_type ()

    gboolean
    qmi_message_nas_network_scan_input_set_network_type
                                   (QmiMessageNasNetworkScanInput *self,
                                    QmiNasNetworkScanType value_network_type,
                                    GError **error);

Set the 'Network Type' field in the message.

#### Parameters

self | a QmiMessageNasNetworkScanInput. |
value_network_type | a QmiNasNetworkScanType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_network_scan_output_ref ()

    QmiMessageNasNetworkScanOutput *
    qmi_message_nas_network_scan_output_ref
                                   (QmiMessageNasNetworkScanOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasNetworkScanOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_nas_network_scan_output_unref ()

    void
    qmi_message_nas_network_scan_output_unref
                                   (QmiMessageNasNetworkScanOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasNetworkScanOutput. |

Since: 1.0

### qmi_message_nas_network_scan_output_get_mnc_pcs_digit_include_status ()

    gboolean
    qmi_message_nas_network_scan_output_get_mnc_pcs_digit_include_status
                                   (QmiMessageNasNetworkScanOutput *self,
                                    GArray **value_mnc_pcs_digit_include_status,
                                    GError **error);

Get the 'MNC PCS Digit Include Status' field from `self` .

#### Parameters

self | a QmiMessageNasNetworkScanOutput. |
value_mnc_pcs_digit_include_status | a placeholder for the output GArray of QmiMessageNasNetworkScanOutputMncPcsDigitIncludeStatusElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_network_scan_output_get_radio_access_technology ()

    gboolean
    qmi_message_nas_network_scan_output_get_radio_access_technology
                                   (QmiMessageNasNetworkScanOutput *self,
                                    GArray **value_radio_access_technology,
                                    GError **error);

Get the 'Radio Access Technology' field from `self` .

#### Parameters

self | a QmiMessageNasNetworkScanOutput. |
value_radio_access_technology | a placeholder for the output GArray of QmiMessageNasNetworkScanOutputRadioAccessTechnologyElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_network_scan_output_get_network_information ()

    gboolean
    qmi_message_nas_network_scan_output_get_network_information
                                   (QmiMessageNasNetworkScanOutput *self,
                                    GArray **value_network_information,
                                    GError **error);

Get the 'Network Information' field from `self` .

#### Parameters

self | a QmiMessageNasNetworkScanOutput. |
value_network_information | a placeholder for the output GArray of QmiMessageNasNetworkScanOutputNetworkInformationElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_network_scan_output_get_result ()

    gboolean
    qmi_message_nas_network_scan_output_get_result
                                   (QmiMessageNasNetworkScanOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageNasNetworkScanOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_client_nas_network_scan ()

    void
    qmi_client_nas_network_scan (QmiClientNas *self,
                                 QmiMessageNasNetworkScanInput *input,
                                 guint timeout,
                                 GCancellable *cancellable,
                                 GAsyncReadyCallback callback,
                                 gpointer user_data);

Asynchronously sends a Network Scan request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_nas_network_scan_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientNas. |
input | a QmiMessageNasNetworkScanInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_nas_network_scan_finish ()

    QmiMessageNasNetworkScanOutput *
    qmi_client_nas_network_scan_finish (QmiClientNas *self,
                                        GAsyncResult *res,
                                        GError **error);

Finishes an async operation started with `qmi_client_nas_network_scan()`.

#### Parameters

self | a QmiClientNas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_nas_network_scan()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageNasNetworkScanOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_nas_network_scan_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageNasNetworkScanInput

    typedef struct _QmiMessageNasNetworkScanInput QmiMessageNasNetworkScanInput;

The QmiMessageNasNetworkScanInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageNasNetworkScanOutput

    typedef struct _QmiMessageNasNetworkScanOutput QmiMessageNasNetworkScanOutput;

The QmiMessageNasNetworkScanOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageNasNetworkScanOutputMncPcsDigitIncludeStatusElement

    typedef struct {
        guint16 mcc;
        guint16 mnc;
        gboolean includes_pcs_digit;
    } QmiMessageNasNetworkScanOutputMncPcsDigitIncludeStatusElement;

A QmiMessageNasNetworkScanOutputMncPcsDigitIncludeStatusElement struct.

#### Members

guint16 `mcc`; | a guint16. |
guint16 `mnc`; | a guint16. |
gboolean `includes_pcs_digit`; | a gboolean. |

Since: 1.0

### QmiMessageNasNetworkScanOutputRadioAccessTechnologyElement

    typedef struct {
        guint16 mcc;
        guint16 mnc;
        QmiNasRadioInterface radio_interface;
    } QmiMessageNasNetworkScanOutputRadioAccessTechnologyElement;

A QmiMessageNasNetworkScanOutputRadioAccessTechnologyElement struct.

#### Members

guint16 `mcc`; | a guint16. |
guint16 `mnc`; | a guint16. |
QmiNasRadioInterface `radio_interface`; | a QmiNasRadioInterface. |

Since: 1.0

### QmiMessageNasNetworkScanOutputNetworkInformationElement

    typedef struct {
        guint16 mcc;
        guint16 mnc;
        QmiNasNetworkStatus network_status;
        gchar *description;
    } QmiMessageNasNetworkScanOutputNetworkInformationElement;

A QmiMessageNasNetworkScanOutputNetworkInformationElement struct.

#### Members

guint16 `mcc`; | a guint16. |
guint16 `mnc`; | a guint16. |
QmiNasNetworkStatus `network_status`; | a QmiNasNetworkStatus. |
gchar *`description`; | a string. |

Since: 1.0